Summary: A GNU utility for secure communication and data storage.
Name: gnupg
Version: 1.2.7
Release: 2.norlug
License: GPL
Group: Applications/System
Source0: ftp://ftp.gnupg.org/gcrypt/gnupg/gnupg-%{version}.tar.bz2
Source1: ftp://ftp.gnupg.org/gcrypt/gnupg/gnupg-%{version}.tar.bz2.sig
#Patch0: gnupg-1.2.1-ppc64.patch
# Updates that we stop including after the next release.
#
URL: http://www.gnupg.org/
BuildPrereq: autoconf
Provides: gpg, openpgp
Prereq: /sbin/install-info
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
GnuPG (GNU Privacy Guard) is a GNU utility for encrypting data and
creating digital signatures. GnuPG has advanced key management
capabilities and is compliant with the proposed OpenPGP Internet
standard described in RFC2440. Since GnuPG doesn't use any patented
algorithm, it is not compatible with any version of PGP2 (PGP2.x uses
only IDEA for symmetric-key encryption, which is patented worldwide).

This patched version of GnuPG contains the ELGamal patch due to
the following advisory:
http://lists.gnupg.org/pipermail/gnupg-announce/2003q4/000276.html


%prep
%setup -q
#%patch0 -p1 -b .ppc64

%build
%configure --enable-shared \
	--program-transform-name='' --program-prefix='' --program-suffix='' \
	--libexecdir=%{_libdir}
make %{?_smp_mflags}

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall libexecdir=$RPM_BUILD_ROOT/%{_libdir}/%{name}
install -m644 doc/gpg.info doc/gpgv.info $RPM_BUILD_ROOT/%{_infodir}
sed 's^\.\./g[0-9\.]*/^^g' tools/lspgpot > lspgpot
install -m755 lspgpot $RPM_BUILD_ROOT%{_bindir}/lspgpot
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir
%find_lang %name

%post
/sbin/install-info --entry="* gpg: (gpg).                encryption and signing tool" %{_infodir}/gpg.info.gz %{_infodir}/dir
/sbin/install-info --entry="* gpgv: (gpgv).              signature verification tool" %{_infodir}/gpgv.info.gz %{_infodir}/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/gpgv.info.gz %{_infodir}/dir
    /sbin/install-info --delete %{_infodir}/gpg.info.gz %{_infodir}/dir
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog INSTALL NEWS PROJECTS README THANKS TODO
%doc doc/DETAILS doc/HACKING doc/OpenPGP doc/samplekeys.asc
%{_bindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/FAQ
%{_datadir}/%{name}/faq.html
%{_datadir}/%{name}/options.skel
%{_infodir}/*
%{_libdir}/%{name}
%{_mandir}/man1/*
%{_mandir}/man7/*

%changelog
* Sun Jan 16 2005 Chip Cuccio <chipster@norlug.org> 1.2.7-2
- updated

* Sat Sep 4 2004 Chip Cuccio <chipster@norlug.org> 1.2.6-1
- updated

* Mon Dec 29 2003 Chip Cuccio <chipster@norlug.org> 1.2.4-1
- update to 1.2.4

* Thu Nov 27 2003 Chip Cuccio <chipster@norlug.org> 1.2.3-4_p1
- added ELGmal patch due to advisory:
  <http://lists.gnupg.org/pipermail/gnupg-announce/2003q4/000276.html>

* Mon Sep 8 2003 Chip Cuccio <chipster@norlug.org> 1.2.3-2
- spec cleanups
- default to glibc-2.2

* Sat Aug 23 2003 Chip Cuccio <chipster@norlug.org> 1.2.3.1
- update to 1.2.3

* Tue Aug 5 2003 Chip Cuccio <chipster@norlug.org> 1.2.2-3
- built for RH-7.3
